Magick++ 7.1.0

Public Member Functions | List of all members
Magick::WarningImage Class Reference

`#include <Exception.h>`

Inheritance diagram for Magick::WarningImage:
[legend]
Collaboration diagram for Magick::WarningImage:
[legend]

## Public Member Functions
| WarningImage (const std::string &what_)
| WarningImage (const std::string &what_, Exception *nested_)
| ~WarningImage () throw ()
Public Member Functions inherited from Magick::Warning
| Warning (const std::string &what_)
| Warning (const std::string &what_, Exception *nested_)
| ~Warning () throw ()
Public Member Functions inherited from Magick::Exception
| Exception (const std::string &what_)
| Exception (const std::string &what_, Exception *nested_)
| Exception (const Exception &original_)
virtual | ~Exception () throw ()
Exception & | operator= (const Exception &original_)
virtual const char * | what () const throw ()
const Exception * | nested () const throw ()
void | nested (Exception *nested_) throw ()

## Detailed Description

Definition at line 310 of file Exception.h.

## Constructor & Destructor Documentation

## ◆ WarningImage() [1/2]

Magick::WarningImage::WarningImage | ( | const std::string & | what_ | ) |
| explicit

Definition at line 507 of file Exception.cpp.

## ◆ WarningImage() [2/2]

Magick::WarningImage::WarningImage | ( | const std::string & | what_,
|  | Exception * | nested_
| ) |  |
| explicit

Definition at line 512 of file Exception.cpp.

## ◆ ~WarningImage()

Magick::WarningImage::~WarningImage | ( |  | ) |
throw | ( |
| ) |  |

Definition at line 517 of file Exception.cpp.

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp